Bug 53679 - Super Key + K kills weston when active window is a xwayland window
Summary: Super Key + K kills weston when active window is a xwayland window
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: Other All
: high normal
Assignee: Tiago Vignatti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 16:12 UTC by nerdopolis1
Modified: 2012-10-25 15:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nerdopolis1 2012-08-18 16:12:59 UTC
Hi,

The tile should say all... But when an Xwayland window is active, and you hit super key + k in order to kill it it ends up killing weston (probably because the window manager for X is built into weston right now, and it's owned by weston)

(I was actually expecting that it would kill the xwayland server, but I bet most users would expect that it would kill the xwayland app...)
Comment 1 Tiago Vignatti 2012-09-27 16:29:34 UTC
Hi. I've sent a fix to the ml:

http://lists.freedesktop.org/archives/wayland-devel/2012-September/005533.html
Comment 2 Kristian Høgsberg 2012-10-25 15:51:59 UTC
This is committed and fixed.  Thanks Tiago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.